from django.urls import include, path, re_path
from rest_framework import routers
from .views import *

router = routers.DefaultRouter()
router.register(r'users', UserViewSet)
router.register(r'groups', GroupViewSet)
router.register(r'parts/storages', PartsStorageViewSet)
router.register(r'parts/storage_templates', PartsStorageTemplatesViewSet, basename='storage-template')
router.register(r'parts/components', PartsComponentViewSet)
router.register(r'parts/component-parameters', PartsComponentParameterViewSet)
router.register(r'parts/component-distributor-numbers', PartsComponentDistributorNumViewSet)
router.register(r'parts/stocks', PartsStockViewSet)
router.register(r'parts/packages', PartsPackageViewSet)
router.register(r'parts/distributors', PartsDistributorviewSet)
router.register(r'parts/manufacturers', PartsManufacturerViewSet)
router.register(r'parts/component-types', PartsComponentTypeViewSet)
router.register(r'parts/component-param-types', PartsComponentParameterTypeViewSet)

urlpatterns = [
    path('', include(router.urls)),
    re_path(r'^token-auth/', ObtainExpiringAuthToken.as_view()),
	re_path(r'^token-logout/', TokenLogout.as_view()),
]